com.opensymphony.xwork2.config.impl

## Class LocatableConstantFactory<T>

- java.lang.Object
- - com.opensymphony.xwork2.util.location.Located
  - - com.opensymphony.xwork2.config.impl.LocatableConstantFactory<T>

- All Implemented Interfaces:
    Factory, Locatable

      public class LocatableConstantFactory<T>
      extends Located
      implements Factory

  Factory that remembers where a constant came from

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.util.location.Located

      `location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocatableConstantFactory(T constant, Object location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `create(Context ignored)` Creates an object to be injected.
    `String` | `toString()`
    `Class` | `type()` Returns a class of

    - ### Methods inherited from class com.opensymphony.xwork2.util.location.Located

      `getLocation, setLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocatableConstantFactory

          public LocatableConstantFactory(T constant,
                                          Object location)

  - ### Method Detail

    - #### create

          public T create(Context ignored)

      Description copied from interface: `Factory`
      Creates an object to be injected.
      Specified by:
        `create` in interface `Factory`
      Parameters:
        `ignored` - of this injection
      Returns:
        instance to be injected

    - #### type

          public Class type()

      Description copied from interface: `Factory`
      Returns a class of
      Specified by:
        `type` in interface `Factory`
      Returns:
        class of the object

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.